'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _InteractiveSelection = require('./InteractiveSelection');

var _InteractiveSelection2 = _interopRequireDefault(_InteractiveSelection);

var _StyledSelection = require('./StyledSelection');

var _StyledSelection2 = _interopRequireDefault(_StyledSelection);

var _SelectionWrapper = require('./SelectionWrapper');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SelectionFacade = function SelectionFacade(props) {
  if (props.interactive) {
    return _react2.default.createElement(_InteractiveSelection2.default, props);
  }

  return _react2.default.createElement(_StyledSelection2.default, props);
};

exports.default = (0, _SelectionWrapper.withContainer)(SelectionFacade);