'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
function createSetCursor() {
  var global = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : document.body;

  return function set(cursorName) {
    global.className = cursorName;
  };
}

var setCursor = exports.setCursor = createSetCursor(document.body);

exports.createSetCursor = createSetCursor;
exports.default = {
  GRAB: 'grab',
  GRABBING: 'grabbing',
  DEFAULT: 'default'
};