"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var getClientYWithGlobalOffset = function getClientYWithGlobalOffset(globalOffset) {
  return function getClientY(event) {
    if (event.changedTouches) {
      return event.changedTouches[0].clientY + globalOffset;
    }

    return event.clientY + globalOffset;
  };
};

var getClientY = exports.getClientY = getClientYWithGlobalOffset(window.pageYOffset);

exports.getClientYWithGlobalOffset = getClientYWithGlobalOffset;